package de.devloop.mavor.servlet;

import java.io.IOException;

import de.devloop.mavor.AuthenticatedServlet;
import jakarta.servlet.RequestDispatcher;
import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

@WebServlet("")
public class Main extends AuthenticatedServlet {

    @Override
    protected void doAuthenticatedGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.setAttribute("username", session.getUsername());
        RequestDispatcher view = req.getRequestDispatcher("/main.jsp");
        
        view.forward(req, resp);
    }

    public static void redirectToMe(HttpServletResponse resp) throws IOException {
        resp.sendRedirect("/mavor");
    }
}
